Package Details: xrdp 0.9.15-1

Git Clone URL: https://aur.archlinux.org/xrdp.git (read-only, click to copy)
Package Base: xrdp
Description: An open source remote desktop protocol (RDP) server
Upstream URL: https://github.com/neutrinolabs/xrdp
Licenses: Apache
Submitter: None
Maintainer: bidulock
Last Packager: bidulock
Votes: 114
Popularity: 1.31
First Submitted: 2008-01-15 15:02
Last Updated: 2021-02-25 00:09

Pinned Comments

bidulock commented on 2020-10-05 01:33

0.9.14 won't build. Use xrdp-git until fixed.

Latest Comments

« First ‹ Previous ... 4 5 6 7 8 9 10 11 Next › Last »

russo79 commented on 2013-01-12 12:26

@th-fr
Hi
I just tested on my system (again), and the patch worked perfectly.
Could you try to remove your src directory and try makepkg again?

th-fr commented on 2013-01-12 12:23

@russo79:
Your patch does not work properly, because the file path seems to be wrong.

==> Making package: xrdp 0.6.0-3 (Sa 12. Jan 13:08:50 CET 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
-> Found xrdp-v0.6.0.tar.gz
-> Found xrdp.service
-> Found xrdp-sesman.service
-> Found fix_for_automake-1.13.patch
==> Validating source files with md5sums...
xrdp-v0.6.0.tar.gz ... Passed
xrdp.service ... Passed
xrdp-sesman.service ... Passed
fix_for_automake-1.13.patch ... Passed
==> Extracting Sources...
-> Extracting xrdp-v0.6.0.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
(Patch is indented 8 spaces.)
can't find file to patch at input line 4
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|diff -ru xrdp-v0.6.0/configure.ac xrdp-v0.6.0-buildfix/configure.ac
|--- xrdp-v0.6.0/configure.ac2012-02-21 20:00:55.000000000 +0100
|+++ xrdp-v0.6.0-buildfix/configure.ac2013-01-11 00:31:49.349673370 +0100
--------------------------
File to patch: xrdp-v0.6.0/configure.ac
xrdp-v0.6.0/configure.ac: configure.ac
patching file configure.ac
patch: **** malformed patch at line 6: AC_PREREQ(2.59)

russo79 commented on 2013-01-10 23:39

th-fr

New version of the PKGBUILD that fix the build problem: http://pastebin.com/GBiXcmi5

You will also need to create a file named fix_for_automake-1.13.patch with the content from here: http://pastebin.com/esryWSRk

techryda commented on 2013-01-10 23:10

Builds fine here...

I don't use the package anymore though, so let me know if you'd like to maintain it and I'll disown it.

th-fr commented on 2013-01-10 21:22

Did not build, seems like the build script (not the PKGBUILD) of xrdp does is a bit outdated:

==> Starting make...
/usr/bin/autoconf
/usr/bin/automake
/usr/bin/libtool
/usr/bin/pkg-config
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
configure.ac:5: error: 'AM_CONFIG_HEADER': this macro is obsolete.
You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:5: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1

th-fr commented on 2013-01-10 21:21

Did not build, seems like the build script (not the PKGBUILD) of xrdp does is a bit outdated:

==> Starting make...
/usr/bin/autoconf
/usr/bin/automake
/usr/bin/libtool
/usr/bin/pkg-config
autoreconf: Entering directory `.'
autoreconf: configure.ac: not using Gettext
autoreconf: running: aclocal --force
configure.ac:5: error: 'AM_CONFIG_HEADER': this macro is obsolete.
You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:5: the top level
autom4te: /usr/bin/m4 failed with exit status: 1
aclocal: error: echo failed with exit status: 1
autoreconf: aclocal failed with exit status: 1

techryda commented on 2012-10-11 21:04

Done.

ShyPixie commented on 2012-10-11 20:49

I get error: cp: can not obtain state "../*. service": File or directory not found

Please, replace

cp ../*.service usr/lib/systemd/system

by

cp ${srcdir}/*.service usr/lib/systemd/system

techryda commented on 2012-08-16 17:07

Also updated to use tigervnc

techryda commented on 2012-08-16 16:44

Updated...I was mistaken about 0.7.0 being out...it's actually 0.6.0

Added systemd support